# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2020-01-30 12:13
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import xyz_util.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Attachment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner_id', models.PositiveIntegerField(blank=True, null=True, verbose_name='\u5c5e\u4e3b\u7f16\u53f7')),
                ('name', models.CharField(max_length=255, verbose_name='\u540d\u79f0')),
                ('description', models.CharField(blank=True, default='', max_length=255, null=True, verbose_name='\u63cf\u8ff0')),
                ('url', models.URLField(verbose_name='\u7f51\u5740')),
                ('is_active', models.BooleanField(default=False, verbose_name='\u6709\u6548')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('owner_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='contenttypes.ContentType', verbose_name='\u5c5e\u4e3b\u7c7b\u522b')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='media_attachments', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': '\u9644\u4ef6',
                'verbose_name_plural': '\u9644\u4ef6',
            },
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner_id', models.PositiveIntegerField(blank=True, null=True, verbose_name='\u5c5e\u4e3b\u7f16\u53f7')),
                ('name', models.CharField(max_length=255, verbose_name='\u540d\u79f0')),
                ('description', models.CharField(blank=True, default='', max_length=255, null=True, verbose_name='\u63cf\u8ff0')),
                ('url', models.URLField(verbose_name='\u7f51\u5740')),
                ('is_active', models.BooleanField(default=False, verbose_name='\u6709\u6548')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('owner_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='contenttypes.ContentType', verbose_name='\u5c5e\u4e3b\u7c7b\u522b')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='media_images', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': '\u56fe\u7247',
                'verbose_name_plural': '\u56fe\u7247',
            },
        ),
        migrations.CreateModel(
            name='Video',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner_id', models.PositiveIntegerField(blank=True, null=True, verbose_name='\u5c5e\u4e3b\u7f16\u53f7')),
                ('name', models.CharField(max_length=255, verbose_name='\u540d\u79f0')),
                ('description', models.CharField(blank=True, default='', max_length=255, null=True, verbose_name='\u63cf\u8ff0')),
                ('url', models.URLField(verbose_name='\u7f51\u5740')),
                ('context', xyz_util.modelutils.JSONField(blank=True, default={}, verbose_name='\u8be6\u60c5')),
                ('is_active', models.BooleanField(default=False, verbose_name='\u6709\u6548')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('owner_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='contenttypes.ContentType', verbose_name='\u5c5e\u4e3b\u7c7b\u522b')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='media_videos', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': '\u89c6\u9891',
                'verbose_name_plural': '\u89c6\u9891',
            },
        ),
    ]
